# Call Recordings

## Get a call recording by its ID

> Returns a single call recording by ID.\
> \
> \*\*Rate limit:\*\* 60 requests per minute

```json
{"openapi":"3.0.1","info":{"title":"Pylon API.","version":"1.0.0"},"servers":[{"url":"https://api.usepylon.com"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"description":"Authorization: Bearer <token>","scheme":"bearer","type":"http"}},"schemas":{"GetCallRecordingResponseBody":{"properties":{"data":{"$ref":"#/components/schemas/CallRecording"},"request_id":{"description":"The request ID for tracking.","type":"string"}},"type":"object"},"CallRecording":{"properties":{"account_id":{"description":"The account ID associated with the call recording.","type":"string"},"calendar_event_id":{"description":"The calendar event ID associated with the call recording.","type":"string"},"created_at":{"description":"The creation time of the call recording in RFC3339 format.","type":"string"},"custom_fields":{"additionalProperties":{"$ref":"#/components/schemas/CustomFieldValue"},"description":"Custom fields associated with the call recording.","type":"object"},"duration_ms":{"description":"The duration of the call recording in milliseconds.","format":"int64","type":"integer"},"end_time":{"description":"The end time of the call recording in RFC3339 format.","type":"string"},"external_id":{"description":"The external ID of the call recording from the source system.","type":"string"},"id":{"description":"The ID of the call recording.","type":"string"},"participant_emails":{"description":"The participant emails of the call recording.","items":{"type":"string"},"type":"array"},"source":{"description":"The source of the call recording (e.g. fathom, gong, grain, granola, custom_call_recorder).","type":"string"},"start_time":{"description":"The start time of the call recording in RFC3339 format.","type":"string"},"summary":{"description":"The summary of the call recording.","type":"string"},"title":{"description":"The title of the call recording.","type":"string"},"updated_at":{"description":"The last update time of the call recording in RFC3339 format.","type":"string"},"url":{"description":"The URL of the call recording.","type":"string"}},"type":"object"},"CustomFieldValue":{"properties":{"slug":{"description":"The slug of the custom field.","type":"string"},"value":{"description":"The value of the custom field. Only to be used for single-valued custom fields. If unset, the custom field will be unset. If the custom field is a select field, the value must be the select option slug, which you can find from the GET /custom-fields endpoint.","type":"string"},"values":{"description":"The values of the custom field. Only to be used for multi-valued custom fields (ex. multiselect). If unset, the custom field will be unset. If the custom field is a multiselect field, the values must be the select option slugs which you can find from the GET /custom-fields endpoint.","items":{"type":"string"},"type":"array"}},"type":"object"},"ErrorApiResponseBody":{"properties":{"errors":{"description":"The list of errors.","items":{"type":"string"},"type":"array"},"exists_id":{"description":"The ID of the object that already exists if this is a duplicate object error.","type":"string"},"request_id":{"description":"The request ID for tracking.","type":"string"}},"type":"object"}}},"paths":{"/call-recordings/{id}":{"get":{"description":"Returns a single call recording by ID.\n\n**Rate limit:** 60 requests per minute","operationId":"GetCallRecording","parameters":[{"description":"The ID of the call recording to fetch.","in":"path","name":"id","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetCallRecordingResponseBody"}}},"description":""},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorApiResponseBody"}}},"description":""},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorApiResponseBody"}}},"description":""},"500":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorApiResponseBody"}}},"description":""}},"summary":"Get a call recording by its ID","tags":["call-recordings"]}}}}
```

## Update a call recording

> Updates a call recording by ID. Only provided fields are modified.\
> \
> \*\*Rate limit:\*\* 20 requests per minute

```json
{"openapi":"3.0.1","info":{"title":"Pylon API.","version":"1.0.0"},"servers":[{"url":"https://api.usepylon.com"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"description":"Authorization: Bearer <token>","scheme":"bearer","type":"http"}},"schemas":{"UpdateCallRecordingRequestBody":{"properties":{"account_id":{"description":"The account ID to associate with the call recording. Pass an empty string to remove the account association.","type":"string"},"custom_fields":{"description":"An array of custom fields to set on the call recording. Only passed in fields will be modified.","items":{"$ref":"#/components/schemas/CustomFieldValue"},"type":"array"}},"type":"object"},"CustomFieldValue":{"properties":{"slug":{"description":"The slug of the custom field.","type":"string"},"value":{"description":"The value of the custom field. Only to be used for single-valued custom fields. If unset, the custom field will be unset. If the custom field is a select field, the value must be the select option slug, which you can find from the GET /custom-fields endpoint.","type":"string"},"values":{"description":"The values of the custom field. Only to be used for multi-valued custom fields (ex. multiselect). If unset, the custom field will be unset. If the custom field is a multiselect field, the values must be the select option slugs which you can find from the GET /custom-fields endpoint.","items":{"type":"string"},"type":"array"}},"type":"object"},"UpdateCallRecordingResponseBody":{"properties":{"data":{"$ref":"#/components/schemas/CallRecording"},"request_id":{"description":"The request ID for tracking.","type":"string"}},"type":"object"},"CallRecording":{"properties":{"account_id":{"description":"The account ID associated with the call recording.","type":"string"},"calendar_event_id":{"description":"The calendar event ID associated with the call recording.","type":"string"},"created_at":{"description":"The creation time of the call recording in RFC3339 format.","type":"string"},"custom_fields":{"additionalProperties":{"$ref":"#/components/schemas/CustomFieldValue"},"description":"Custom fields associated with the call recording.","type":"object"},"duration_ms":{"description":"The duration of the call recording in milliseconds.","format":"int64","type":"integer"},"end_time":{"description":"The end time of the call recording in RFC3339 format.","type":"string"},"external_id":{"description":"The external ID of the call recording from the source system.","type":"string"},"id":{"description":"The ID of the call recording.","type":"string"},"participant_emails":{"description":"The participant emails of the call recording.","items":{"type":"string"},"type":"array"},"source":{"description":"The source of the call recording (e.g. fathom, gong, grain, granola, custom_call_recorder).","type":"string"},"start_time":{"description":"The start time of the call recording in RFC3339 format.","type":"string"},"summary":{"description":"The summary of the call recording.","type":"string"},"title":{"description":"The title of the call recording.","type":"string"},"updated_at":{"description":"The last update time of the call recording in RFC3339 format.","type":"string"},"url":{"description":"The URL of the call recording.","type":"string"}},"type":"object"},"ErrorApiResponseBody":{"properties":{"errors":{"description":"The list of errors.","items":{"type":"string"},"type":"array"},"exists_id":{"description":"The ID of the object that already exists if this is a duplicate object error.","type":"string"},"request_id":{"description":"The request ID for tracking.","type":"string"}},"type":"object"}}},"paths":{"/call-recordings/{id}":{"patch":{"description":"Updates a call recording by ID. Only provided fields are modified.\n\n**Rate limit:** 20 requests per minute","operationId":"UpdateCallRecording","parameters":[{"description":"The ID of the call recording to update.","in":"path","name":"id","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateCallRecordingRequestBody"}}},"required":false},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateCallRecordingResponseBody"}}},"description":""},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorApiResponseBody"}}},"description":""},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorApiResponseBody"}}},"description":""},"500":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorApiResponseBody"}}},"description":""}},"summary":"Update a call recording","tags":["call-recordings"]}}}}
```

## Search for call recordings by a given filter

> Currently, the following fields are filterable for call recordings:\
> \
> \* account\_id. Allowed operators: \`equals\`, \`in\`, \`not\_in\`, \`is\_set\`, \`is\_unset\`\
> \
> \* source. Allowed operators: \`equals\`, \`in\`, \`not\_in\`\
> \
> \* title. Allowed operators: \`equals\`, \`string\_contains\`\
> \
> \* start\_time. Allowed operators: \`time\_is\_after\`, \`time\_is\_before\`, \`time\_range\`\
> \
> \*\*Rate limit:\*\* 20 requests per minute

```json
{"openapi":"3.0.1","info":{"title":"Pylon API.","version":"1.0.0"},"servers":[{"url":"https://api.usepylon.com"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"description":"Authorization: Bearer <token>","scheme":"bearer","type":"http"}},"schemas":{"SearchCallRecordingsRequest":{"properties":{"cursor":{"description":"The cursor to use for pagination.","type":"string"},"filter":{"$ref":"#/components/schemas/Filter"},"limit":{"description":"The number of call recordings to fetch. Defaults to 100. Must be greater than 0 and less than or equal to 1000.","format":"int64","type":"integer"}},"type":"object"},"Filter":{"properties":{"field":{"description":"The field for this filter.  For allowed fields, see the documentation for\n\nthe specific endpoint you are using.\n\nFor non-compound filters (any operators other than \"and\" or \"or\"),\n\nField must be set, along with either Value or Values, depending on the operator.","type":"string"},"operator":{"description":"The operator for this filter.\n\n`equals`: Matches objects that are exactly equal to the value in the field.\n\n`not_equals`: Matches objects that are not exactly equal to the value in the field.\n\n`contains`: For a multi-valued field, such as tags, this operator will match  objects that contain any of the values in the field.\n\n`does_not_contain`: For a multi-valued field, such as tags, this operator will match  objects that do not contain any of the values in the field.\n\n`in`: Matches objects if the field is one of several possible values,  as specified in the values array.\n\n`not_in`: Matches objects if the field is none of several possible values,  as specified in the values array.\n\n`and`: Matches objects only if all subfilters match.\n\n`or`: Matches objects if any subfilter matches.\n\n`time_is_after`: Matches objects if the field is after the given time.\n\n`time_is_before`: Matches objects if the field is before the given time.\n\n`time_range`: Matches objects if the field is between the given times.\n\n`string_contains`: Matches objects if the field contains the given string.\n\n`string_does_not_contain`: Matches objects if the field does not contain the given string.\n\n`is_set`: Matches objects if the field is set.\n\n`is_unset`: Matches objects if the field is unset.\n\n`greater_than`: Matches objects if the numeric field is greater than the given value.\n\n`less_than`: Matches objects if the numeric field is less than the given value.\n\n`greater_than_or_equals`: Matches objects if the numeric field is greater than or equal to the given value.\n\n`less_than_or_equals`: Matches objects if the numeric field is less than or equal to the given value.","enum":["equals","not_equals","contains","does_not_contain","in","not_in","and","or","time_is_after","time_is_before","time_range","string_contains","string_does_not_contain","is_set","is_unset","greater_than","less_than","greater_than_or_equals","less_than_or_equals"],"type":"string"},"subfilters":{"description":"Sub-filters for this filter.  Valid only when operator is \"and\" or \"or\".\n\nThe maximum allowed depth for a tree of filters is 3.","items":{"$ref":"#/components/schemas/Filter"},"type":"array"},"value":{"description":"The value for this filter. Only used for single-valued operators\n\n(\"equals\", \"not_equals\", \"contains\", \"does_not_contain\")","type":"string"},"values":{"description":"The values for this filter. Only used for multi-valued operators (\"in\", \"not_in\").","items":{"type":"string"},"type":"array"}},"required":["field","operator"],"type":"object"},"SearchCallRecordingsResponseBody":{"properties":{"data":{"description":"The data payload of the response.","items":{"$ref":"#/components/schemas/CallRecording"},"type":"array"},"pagination":{"$ref":"#/components/schemas/Pagination"},"request_id":{"description":"The request ID for tracking.","type":"string"}},"type":"object"},"CallRecording":{"properties":{"account_id":{"description":"The account ID associated with the call recording.","type":"string"},"calendar_event_id":{"description":"The calendar event ID associated with the call recording.","type":"string"},"created_at":{"description":"The creation time of the call recording in RFC3339 format.","type":"string"},"custom_fields":{"additionalProperties":{"$ref":"#/components/schemas/CustomFieldValue"},"description":"Custom fields associated with the call recording.","type":"object"},"duration_ms":{"description":"The duration of the call recording in milliseconds.","format":"int64","type":"integer"},"end_time":{"description":"The end time of the call recording in RFC3339 format.","type":"string"},"external_id":{"description":"The external ID of the call recording from the source system.","type":"string"},"id":{"description":"The ID of the call recording.","type":"string"},"participant_emails":{"description":"The participant emails of the call recording.","items":{"type":"string"},"type":"array"},"source":{"description":"The source of the call recording (e.g. fathom, gong, grain, granola, custom_call_recorder).","type":"string"},"start_time":{"description":"The start time of the call recording in RFC3339 format.","type":"string"},"summary":{"description":"The summary of the call recording.","type":"string"},"title":{"description":"The title of the call recording.","type":"string"},"updated_at":{"description":"The last update time of the call recording in RFC3339 format.","type":"string"},"url":{"description":"The URL of the call recording.","type":"string"}},"type":"object"},"CustomFieldValue":{"properties":{"slug":{"description":"The slug of the custom field.","type":"string"},"value":{"description":"The value of the custom field. Only to be used for single-valued custom fields. If unset, the custom field will be unset. If the custom field is a select field, the value must be the select option slug, which you can find from the GET /custom-fields endpoint.","type":"string"},"values":{"description":"The values of the custom field. Only to be used for multi-valued custom fields (ex. multiselect). If unset, the custom field will be unset. If the custom field is a multiselect field, the values must be the select option slugs which you can find from the GET /custom-fields endpoint.","items":{"type":"string"},"type":"array"}},"type":"object"},"Pagination":{"properties":{"cursor":{"description":"The cursor for the next page of results.","type":"string"},"has_next_page":{"description":"Indicates if there is a next page of results.","type":"boolean"}},"required":["cursor","has_next_page"],"type":"object"},"ErrorApiResponseBody":{"properties":{"errors":{"description":"The list of errors.","items":{"type":"string"},"type":"array"},"exists_id":{"description":"The ID of the object that already exists if this is a duplicate object error.","type":"string"},"request_id":{"description":"The request ID for tracking.","type":"string"}},"type":"object"}}},"paths":{"/call-recordings/search":{"post":{"description":"Currently, the following fields are filterable for call recordings:\n\n* account_id. Allowed operators: `equals`, `in`, `not_in`, `is_set`, `is_unset`\n\n* source. Allowed operators: `equals`, `in`, `not_in`\n\n* title. Allowed operators: `equals`, `string_contains`\n\n* start_time. Allowed operators: `time_is_after`, `time_is_before`, `time_range`\n\n**Rate limit:** 20 requests per minute","operationId":"SearchCallRecordings","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SearchCallRecordingsRequest"}}},"required":false},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SearchCallRecordingsResponseBody"}}},"description":""},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorApiResponseBody"}}},"description":""},"500":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorApiResponseBody"}}},"description":""}},"summary":"Search for call recordings by a given filter","tags":["call-recordings"]}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.usepylon.com/pylon-docs/developer/api/api-reference/call-recordings.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
